Skip to main content
`Ctrl`+`K`

# DMForestSetCellWeights

Set the weights assigned to each of the cells (see `DMForestGetCellChart()`) of the current process: weights are used to determine parallel partitioning.

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetCellWeights(DM dm, PetscReal weights[], PetscCopyMode copyMode)

Logically Collective

## Input Parameters

- dm - the forest

- weights - the array of weights (see `DMForestSetWeightCapacity()`) for all cells, or `NULL` to indicate each cell has weight 1.

- copyMode - how weights should reference weights

## See Also

`DM`, `DMFOREST`, `DMForestGetCellWeights()`, `DMForestSetWeightCapacity()`

## Level

advanced

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages